//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <string>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main(int argc, char* argv[])
{
  string str1("  .");
  string str2("ABCDEFG");

  cout << ToRus(" :\n");
  cout << "str1: " << ToRus(str1) << endl;
  cout << "str2: " << str2 << "\n\n";

  //    insert().
  cout << ToRus("  str2   str1:\n");
  str1.insert(5, str2);
  cout << ToRus(str1) << "\n\n";

  //    erase().
  cout << ToRus(" 7    str1:\n");
  str1.erase(5,7);
  cout << ToRus(str1) << "\n\n";

  //    insert().
  cout << ToRus(" 2   str1  str2:\n");
  str1.replace(5, 2, str2);
  cout << ToRus(str1) << endl;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
